Bug 1557002 - Host subscription status link doesn't work
Summary: Host subscription status link doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.3.0
Hardware: All
OS: Linux
high
high vote
Target Milestone: 6.6.0
Assignee: Justin Sherrill
QA Contact: Stephen Wadeley
URL:
Whiteboard:
: 1642428 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-15 18:10 UTC by Andrew Sanders
Modified: 2019-10-22 19:48 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.4-11.master
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:48:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
Satellite 6.3 - Dashboard - Subscription Status (89.64 KB, image/png)
2018-03-23 20:16 UTC, Brad Buckingham
no flags Details
Satellite 6.3 - Content Hosts - Unreigistered (101.33 KB, image/png)
2018-03-23 20:16 UTC, Brad Buckingham
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27079 High Closed Host subscription status link doesn't work 2020-01-08 16:44:16 UTC
Red Hat Knowledge Base (Solution) 3340751 None None None 2019-09-23 17:54:21 UTC
Red Hat Knowledge Base (Solution) 3586251 None None None 2018-08-24 10:36:01 UTC

Description Andrew Sanders 2018-03-15 18:10:41 UTC
Description of problem:

I have 7 unregistered hosts.  When I click the link to view the list of the hosts it shows me nothing.
The URL that the link points to is:
https://<FQDN>/content_hosts?search=null?%20subscription_uuid


Version-Release number of selected component (if applicable):

Satellite 6.3.

How reproducible:

100%


Steps to Reproduce:
1. Follow link for unregistered hosts.


Actual results:

Empty search results of no hosts are displayed.


Expected results:

All unregistered guests should be displayed.


Additional info:

Testing with the search function shows that the following URL displays what is expected...perhaps this is what the link should be in the UI:

https://<FQDN>/content_hosts?search=%20subscription_status%20%3D%20%20unsubscribed_hypervisor&page=1&per_page=20&sortBy=name&sortOrder=ASC

Comment 2 Brad Buckingham 2018-03-16 15:13:47 UTC
Can you confirm the steps to reproduce?

e.g. Was this a link on the Dashboard?

Comment 3 Andrew Sanders 2018-03-22 20:22:54 UTC
(In reply to Brad Buckingham from comment #2)
> Can you confirm the steps to reproduce?
> 
> e.g. Was this a link on the Dashboard?

Yes, this was a link on the dashboard.

Comment 5 Brad Buckingham 2018-03-23 20:16:04 UTC
Created attachment 1412276 [details]
Satellite 6.3 - Dashboard - Subscription Status

Comment 6 Brad Buckingham 2018-03-23 20:16:42 UTC
Created attachment 1412277 [details]
Satellite 6.3 - Content Hosts - Unreigistered

Comment 16 rakesh kumar 2019-04-12 05:00:18 UTC
Hello,

I am able to reproduce the issue on Satellite 6.5(beta) as well, here are reproducer steps:

-> Configure virt-who on Satellite

-> Go to Monitor >> Dashboard >> Host Subscription Status

-> It will show all the hypervisors as unregister hosts but when we click on the count, it redirects to content host page with filter 'null? subscription_uuid' but does not list any system/hypervisor.

Comment 17 Justin Sherrill 2019-06-19 02:03:10 UTC
Created redmine issue https://projects.theforeman.org/issues/27079 from this bug

Comment 18 Bryan Kearney 2019-06-19 04:03:39 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 19 Bryan Kearney 2019-06-19 04:03:41 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 20 Bryan Kearney 2019-06-25 02:03:43 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27079 has been resolved.

Comment 27 Justin Sherrill 2019-09-23 17:54:22 UTC
*** Bug 1642428 has been marked as a duplicate of this bug. ***

Comment 28 Bryan Kearney 2019-10-22 19:48:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.